## sqoop 1.4.7+cdh6.3.2

=== src/docs/Makefile ===
#
# Copyright 2011 The Apache Software Foundation
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

BUILDROOT=../../build
BUILD_DIR=$(BUILDROOT)/docs

VERSION=Unknown

# Building documentation under CentOS causes xmlto to have issues
# with validation. Disable this step.
VALIDATION=$(shell ( lsb_release -d | grep CentOS > /dev/null 2>&1 ) \
       && echo "--skip-validation" )

all: man userguide devguide supportfiles index

userguide: $(BUILD_DIR)/SqoopUserGuide.html

devguide: $(BUILD_DIR)/SqoopDevGuide.html

index: $(BUILD_DIR)/index.html

MANSOURCES=$(shell echo man/sqoop*.txt)
MANPAGES=$(MANSOURCES:.txt=.1.gz)

REVDATE=$(shell date)


website: 
	mkdir -p $(WEBSITE_DIR)
	asciidoc --unsafe -a revnumber=$(VERSION) \
		-b docbook \
		user/SqoopUserGuide.txt
	xmlto $(VALIDATION) -o $(WEBSITE_DIR) -m web/html.xsl \
		html-nochunks user/SqoopUserGuide.xml
	asciidoc --unsafe -a revnumber=$(VERSION) \
		-b docbook \
		dev/SqoopDevGuide.txt
	xmlto $(VALIDATION) -o $(WEBSITE_DIR) -m web/html.xsl \
		html-nochunks dev/SqoopDevGuide.xml
	asciidoc --unsafe -a revnumber=$(VERSION) \
	  -b docbook \
		web/index.txt
	xmlto $(VALIDATION) -o $(WEBSITE_DIR) -m web/html.xsl \
		html-nochunks web/index.xml
	cp web/docbook.css $(WEBSITE_DIR)
	rsync -a web/images $(WEBSITE_DIR)/

man: $(MANPAGES)

%.1.gz : %.txt
	asciidoc --unsafe -b docbook -d manpage -a "author=Sqoop Team" $<
	xmlto man $(VALIDATION) $*.xml -o man
	gzip $*.1
	rm $*.xml
	mkdir -p $(BUILD_DIR)
	mv $@ $(BUILD_DIR)

$(BUILD_DIR)/SqoopUserGuide.html: user/*.txt
	mkdir -p $(BUILD_DIR)
	asciidoc --unsafe -a revnumber=$(VERSION) \
		-b docbook \
		user/SqoopUserGuide.txt
	xmlto $(VALIDATION) -o $(BUILD_DIR) -m web/html.xsl \
		html-nochunks user/SqoopUserGuide.xml
	rm user/SqoopUserGuide.xml

$(BUILD_DIR)/SqoopDevGuide.html: dev/*.txt
	mkdir -p $(BUILD_DIR)
	asciidoc --unsafe -a revnumber=$(VERSION) \
		-b docbook \
		dev/SqoopDevGuide.txt
	xmlto $(VALIDATION) -o $(BUILD_DIR) -m web/html.xsl \
		html-nochunks dev/SqoopDevGuide.xml
	rm dev/SqoopDevGuide.xml

$(BUILD_DIR)/index.html: web/index.txt
	mkdir -p $(BUILD_DIR)
	asciidoc --unsafe -a revnumber=$(VERSION) \
	  -b docbook \
		web/index.txt
	xmlto $(VALIDATION) -o $(BUILD_DIR) -m web/html.xsl \
		html-nochunks web/index.xml
	rm web/index.xml

supportfiles:
	mkdir -p $(BUILD_DIR)
	cp web/docbook.css $(BUILD_DIR)
	rsync -a web/images $(BUILD_DIR)/

clean:
	-rm $(BUILD_DIR)/sqoop-*.1.gz
	-rm $(BUILD_DIR)/SqoopDevGuide.html
	-rm $(BUILD_DIR)/SqoopUserGuide.html
	-rm user/SqoopUserGuide.html
	-rm dev/SqoopDevGuide.html

.PHONY: all man userguide devguide clean supportfiles index

=== debian/changelog ===
sqoop (1.4.7+cdh6.3.2-1605554) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-10a0.vpc.cloudera.com>  Fri, 08 Nov 2019 06:03:13 -0800

=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
Source: sqoop
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 6), ant, ant-optional, git-core, sed, asciidoc, xmlto
Standards-Version: 3.8.0
Homepage: http://incubator.apache.org/sqoop/

Package:  sqoop
Architecture: all
Depends: bigtop-utils (>= 0.7), hadoop-client, avro-libs, kite, parquet
Description: Tool for easy imports and exports of data sets between databases and HDFS
 Sqoop is a tool that provides the ability to import and export data sets between
 the Hadoop Distributed File System (HDFS) and relational databases.

Package: sqoop-metastore
Architecture: all
Depends: sqoop (= ${source:Version}), adduser
Description: Shared metadata repository for Sqoop.
 This optional package hosts a metadata server for Sqoop clients across a network to use.

=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=402a9c23c82e298072d1b14b8e28188a52f908e4
 SQOOP_VERSION=1.4.7+cdh6.3.2
 SQOOP_PATCHED_VERSION=1.4.7-cdh6.3.2
 SQOOP_BASE_VERSION=1.4.7
 SQOOP_RELEASE=1605554
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=1.4.7+cdh6.3.2-1605554.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

patch: patch-stamp
patch-stamp:	
	touch $@

clean:	
	dh_testdir
	dh_testroot
	rm -f *-stamp
	dh_clean
	rm -Rf debian/tmp debian/sqoop
	find debian -name .\*swp -exec rm -f {} \;

build-indep: build-indep-stamp
build-indep-stamp: patch-stamp
	env FULL_VERSION=${SQOOP_PATCHED_VERSION} bash debian/do-component-build
	touch $@

install: install-indep
install-indep:	
	dh_testdir
	dh_testroot
	bash -x debian/install_sqoop.sh \
	  --build-dir=build/sqoop-${SQOOP_PATCHED_VERSION} \
	  --doc-dir=usr/share/doc/sqoop \
	  --conf-dir=/etc/sqoop/conf.dist \
	  --prefix=debian/sqoop \
	  --extra-dir=debian/
	cp debian/sqoop-metastore.sh debian/sqoop-metastore.init 
	dh_install -i

binary-common:	
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installinit
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch:
binary: binary-indep
.PHONY: build clean binary-indep binary install-indep binary-arc

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym
